PROMETHEUS-POSTFIX-EXPORTER(1)

NAME
prometheus-postfix-exporter - Prometheus exporter for Postfix metrics

SYNOPSIS

postfix_exporter [<flags>]

DESCRIPTION
Prometheus metrics exporter for postfix

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--version
    Show application version.

--watchdog
    Use watchdog to monitor log sources.

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9154
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--web.telemetry-path
    Path under which to expose metrics.

--postfix.showq_path
    Path at which Postfix places its showq socket.

--postfix.showq_port=10025
    TCP port at which Postfix's showq service is listening.

--postfix.showq_network
    Network type for Postfix's showq service

--log.unsupported
    Log all unsupported lines.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--postfix.cleanup_service_label=cleanup
    User-defined service labels for the cleanup service.

--postfix.lmtp_service_label=lmtp
    User-defined service labels for the lmtp service.

--postfix.pipe_service_label=pipe
    User-defined service labels for the pipe service.

--postfix.qmgr_service_label=qmgr
    User-defined service labels for the qmgr service.

--postfix.smtp_service_label=smtp
    User-defined service labels for the smtp service.

--postfix.smtpd_service_label=smtpd
    User-defined service labels for the smtpd service.

--postfix.bounce_service_label=bounce
    User-defined service labels for the bounce service.

--postfix.virtual_service_label=virtual
    User-defined service labels for the virtual service.

--docker.enable
    Read from Docker logs. Environment variable DOCKER_HOST can be used to change the address. See https://pkg.go.dev/github.com/docker/docker/client?tab=doc#NewEnvClient for more information.

--docker.container.id
    ID/name of the Postfix Docker container.

--systemd.enable
    Read from the systemd journal instead of log

--systemd.unit
    Name of the Postfix systemd unit.

--systemd.slice
    Name of the Postfix systemd slice. Overrides the systemd unit.

--systemd.journal_path
    Path to the systemd journal

--postfix.logfile_path
    Path where Postfix writes log entries.

--postfix.logfile_must_exist
    Fail if the log file doesn't exist.

--postfix.logfile_debug
    Enable debug logging for the log file.

--postfix.logfile_poll
    Poll for file changes instead of using inotify.